Summary: Emulateur Minitel X11 (version Motif)
Name: xtel-motif
Version: 3.1.4
Release: 1
Source0: ftp://ftp.ibp.fr/pub/X11/videotex/xtel/xtel-3.1.4.tar.gz
Copyright: GPL
Group: X11/Applications/Graphics

%description
Ce programme mule un Minitel dans un environnement UNIX/X11. Il utilise
une architecture client/serveur (xtel/xteld). Le dmon 'xteld' se charge de
grer les connexions Tltel (par modem) demandes par les clients via
TCP/IP. Xtel mule le Minitel 1B, 2 et TVR. Cette version utilise le
toolkit OSF-Motif (link statique).

%prep
%setup -n xtel-3.1.4

%build
imake -DMOTIF -DREDHAT -DUseInstalled -I/usr/X11R6/lib/X11/config
make Xtel

%install
strip xtel xteld
make install
make install.man

%post
if [ "`grep xtel /etc/services`" = "" ]; then
	echo -n "Mise  jour de /etc/services"
	echo -e "xtel\t\t1313/tcp\t\t\t# Xtel" >> /etc/services
	echo "OK"
fi

if [ "`grep xtel /etc/inetd.conf`" = "" ]; then
	echo -n "Mise  jour de /etc/inetd.conf..."
	echo -e "# xtel" >> /etc/inetd.conf
	echo -e "xtel\tstream\ttcp\tnowait\troot\t/usr/X11R6/bin/xteld\txteld" >> /etc/inetd.conf
	/bin/kill -HUP inetd
	echo "OK"
fi

if [ "$DISPLAY" != "" ]; then
	echo -n "Ajout du rpertoire de fontes..."
	xset +fp /usr/X11R6/lib/X11/fonts/xtel
	echo "OK"
fi

echo -n "Mise  jour du XF86Config..."
FILE=
if [ -r /etc/XF86Config ];then
	FILE=/etc/XF86Config
elif [ -r /usr/X11R6/lib/X11/XF86Config ]; then
	FILE=/usr/X11R6/lib/X11/XF86Config
else
	echo "pas de XF86Config !"
fi

if [ "$FILE" != "" ]; then
	cp $FILE $FILE.no_xtel
	echo > /tmp/xtel$$
	DONE=0
	cat $FILE  | sed -e '/^$/d' |
	while read line
	do
		echo "$line" >> /tmp/xtel$$
		set $line
		if [ $DONE = 0 -a "$1" = "FontPath" ]; then
			echo "FontPath	\"/usr/X11R6/lib/X11/fonts/xtel/\"" >> /tmp/xtel$$
			DONE=1
		fi
	done
	mv /tmp/xtel$$ $FILE
	echo "OK (ancien fichier sur $FILE.no_xtel)"
fi

%postun
echo -n "Restauration de /etc/services..."
grep -v xtel /etc/services > /tmp/xtel$$
mv /tmp/xtel$$ /etc/services
echo "OK"

echo -n "Restauration de /etc/inetd.conf..."
grep -v xtel /etc/inetd.conf > /tmp/xtel$$
mv /tmp/xtel$$ /etc/inetd.conf
echo "OK"
/bin/kill -HUP inetd

echo -n "Restauration du XF86Config..."
FILE=
if [ -r /etc/XF86Config ];then
	FILE=/etc/XF86Config
elif [ -r /usr/X11R6/lib/X11/XF86Config ]; then
	FILE=/usr/X11R6/lib/X11/XF86Config
else
	echo "pas de XF86Config !"
fi

if [ "$FILE" != "" ]; then
	grep -v "/xtel" $FILE > /tmp/xtel$$
	mv /tmp/xtel$$ $FILE
	echo "OK"
fi

%files
%doc COPYING LISEZMOI.txt FAQ.txt HISTOIRE.txt
/usr/X11R6/lib/X11/fonts/xtel/fonts.alias
/usr/X11R6/bin/xtel
/usr/X11R6/bin/xteld
/usr/X11R6/lib/X11/app-defaults/XTelm
/usr/X11R6/lib/X11/app-defaults/XTelm-msg
/usr/X11R6/lib/X11/fonts/xtel/g08x10.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g08x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g016x10.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g016x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g032x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g016x40.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g032x40.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g18x10.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g116x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g1s8x10.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g1s16x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s8x10.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s8x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s16x10.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s16x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s32x20.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s16x40.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/g0s32x40.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/xteldigit.pcf.Z
/usr/X11R6/lib/X11/fonts/xtel/fonts.dir
/usr/X11R6/man/man1/xtel.1x
/usr/X11R6/man/man1/xteld.1x
%config /usr/X11R6/lib/X11/xtel/xtel.lignes
%config /usr/X11R6/lib/X11/xtel/xtel.services
